### Enumeration

# GtkSource NewlineType

#### Declaration

    enum GtkSource.NewlineType

#### Description

No description available.

#### Members

`GTK_SOURCE_NEWLINE_TYPE_LF`

  Line feed, used on UNIX.

  - Value: `0`
  - Available since: 5
`GTK_SOURCE_NEWLINE_TYPE_CR`

  Carriage return, used on Mac.

  - Value: `1`
  - Available since: 5
`GTK_SOURCE_NEWLINE_TYPE_CR_LF`

  Carriage return followed by a line feed, used on Windows.

  - Value: `2`
  - Available since: 5